PKG-SET(8)

NAME
pkg set - modify information in the installed database

SYNOPSIS
pkg set [-a] [-A [01]] [-n oldname:newname] [-o oldorigin:neworigin] [-v [01]] [-y] [-Cgix] pkg-name

pkg set [--all] [--automatic [01]] [--change-name oldname:newname] [--change-origin oldorigin:neworigin] [--yes] [-v [01]] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name

DESCRIPTION
pkg set is used to modify information concerning installed packages. pkg set should always be used with caution.

OPTIONS
The following options are supported by pkg set:

-A 01, --automatic 01
    Set automatic flag for the package: 0 is not automatic, 1 is automatic. This affects the operation of pkg-autoremove(8).

-a, --all
    Match all installed packages.

-C, --case-sensitive
    Make the standard or the regular expression (-x) matching against pkg-name case sensitive.

-g, --glob
    Match pkg-name as a globbing expression.

-i, --case-insensitive
    Make the standard or regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-n oldname:newname, --change-name oldname:newname
    Change the package name of a given dependency from oldname to newname.

-o oldorigin:neworigin, --change-origin oldorigin:neworigin
    Change the port origin of a given dependency from oldorigin to neworigin. This corresponds to the port directory that the package originated from. Typically, this is only needed for upgrading a library or package that has MOVED or when the default version of a major port dependency changes. (DEPRECATED) Usually this will be explained in /usr/pkgsrc/UPDATING. Also see pkg-updating(8) and EXAMPLES.

-x, --regex
    Match pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-v 01
    Set or unset the "vital" flag on the target package(s). Set to 0 to disable the "vital" flag, and 1 to enable it.

-y, --yes
    Assume yes rather than asking for confirmation before package autoremoval.

If neither the -g nor -x options are used, the default is to match pkg-name exactly.

FILES
See pkg.conf(5).

EXAMPLES
Change a package from automatic to non-automatic, which will prevent autoremove from removing it:
    % pkg set -A 0 perl-5.14

Change a package from non-automatic to automatic, which will make autoremove allow it be removed once nothing depends on it:
    % pkg set -A 1 perl-5.14

ENVIRONMENT
The following environment variables affect the execution of pkg set. See pkg.conf(5) for further description.

CASE_SENSITIVE_MATCH

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)